[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#452788: marked as done (locale definition file no_NO missing from locales 2.7-1)

Your message dated Mon, 26 Nov 2007 21:02:05 +0000
with message-id <E1Iwl5h-00018r-7b@ries.debian.org>
and subject line Bug#452788: fixed in glibc 2.7-2
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--- Begin Message ---
Package: locales
Version: 2.7-1
Severity: normal

In the latest upgrade to locales, /usr/share/i18n/locales/no_NO is 
missing (nb_NO is still there). Locale-gen cannot build locales, with 
the following error messages:

Generating locales (this might take a while)...
  no_NO.UTF-8...cannot open locale definition file `no_NO': No such file 
or directory
  no_NO.ISO-8859-1...cannot open locale definition file `no_NO': No such 
file or directory
  en_US.ISO-8859-1... done
  en_US.UTF-8... done
Generation complete.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux
Locale: LANG=no_NO.UTF-8, LC_CTYPE=no_NO.UTF-8 (charmap=locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
Shell: /bin/sh linked to /bin/bash

Versions of packages locales depends on:
ii  debconf [debconf-2.0]         1.5.17     Debian configuration management sy
ii  libc6 [glibc-2.7-1]           2.7-1      GNU C Library: Shared libraries

locales recommends no packages.

-- debconf information:
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "no_NO.UTF-8",
	LANG = "no_NO.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
* locales/default_environment_locale: en_US.UTF-8
* locales/locales_to_be_generated: en_US ISO-8859-1, en_US.UTF-8 UTF-8, no_NO UTF-8, no_NO.ISO-8859-1 ISO-8859-1

--- End Message ---
--- Begin Message ---
Source: glibc
Source-Version: 2.7-2

We believe that the bug you reported is fixed in the latest version of
glibc, which is due to be installed in the Debian FTP archive:

  to pool/main/g/glibc/glibc-doc_2.7-2_all.deb
  to pool/main/g/glibc/glibc_2.7-2.diff.gz
  to pool/main/g/glibc/glibc_2.7-2.dsc
  to pool/main/g/glibc/libc6-dbg_2.7-2_amd64.deb
  to pool/main/g/glibc/libc6-dev-i386_2.7-2_amd64.deb
  to pool/main/g/glibc/libc6-dev_2.7-2_amd64.deb
  to pool/main/g/glibc/libc6-i386_2.7-2_amd64.deb
  to pool/main/g/glibc/libc6-pic_2.7-2_amd64.deb
  to pool/main/g/glibc/libc6-prof_2.7-2_amd64.deb
  to pool/main/g/glibc/libc6-udeb_2.7-2_amd64.udeb
  to pool/main/g/glibc/libc6_2.7-2_amd64.deb
  to pool/main/g/glibc/libnss-dns-udeb_2.7-2_amd64.udeb
  to pool/main/g/glibc/libnss-files-udeb_2.7-2_amd64.udeb
  to pool/main/g/glibc/locales-all_2.7-2_amd64.deb
  to pool/main/g/glibc/locales_2.7-2_all.deb
  to pool/main/g/glibc/nscd_2.7-2_amd64.deb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 452788@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Aurelien Jarno <aurel32@debian.org> (supplier of updated glibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.7
Date: Mon, 26 Nov 2007 19:03:17 +0100
Source: glibc
Binary: libc0.1-prof libc6.1-alphaev67 libc6-dev-amd64 locales-all libc6-i686 libc6-dev-ppc64 libc0.3-pic glibc-doc libc0.3 libc6-dev-mipsn32 libc0.1-i686 libc0.1-i386 libc6-mips64 libc6.1-dev libc6-s390x libnss-files-udeb libc0.1-dev-i386 libc6-dev-sparc64 libc6-i386 libc0.3-dev libc6-udeb libc6-dbg libc6.1-pic libc6-dev libc0.3-prof libc0.1-udeb libc6-dev-i386 libc6.1-prof libc6-mipsn32 libc0.1-dev locales libc6-pic libc0.3-udeb libc6-dev-powerpc libc0.1-pic libc6-ppc64 libc0.3-dbg libc0.1-dbg libc6-amd64 libc0.1 libc6-prof libc6-xen libc6-dev-mips64 libc6-powerpc libc6 libc6-sparcv9b libc6.1-udeb libc6.1-dbg nscd libc6-sparc64 libnss-dns-udeb libc6.1 libc6-dev-s390x
Architecture: source amd64 all
Version: 2.7-2
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
 glibc-doc  - GNU C Library: Documentation
 libc6      - GNU C Library: Shared libraries
 libc6-dbg  - GNU C Library: Libraries with debugging symbols
 libc6-dev  - GNU C Library: Development Libraries and Header Files
 libc6-dev-i386 - GNU C Library: 32bit development libraries for AMD64
 libc6-i386 - GNU C Library: 32bit shared libraries for AMD64
 libc6-pic  - GNU C Library: PIC archive library
 libc6-prof - GNU C Library: Profiling Libraries
 libc6-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - GNU C Library: NSS helper for files - udeb (udeb)
 locales    - GNU C Library: National Language (locale) data [support]
 locales-all - GNU C Library: Precompiled locale data
 nscd       - GNU C Library: Name Service Cache Daemon
Closes: 451892 452081 452788 452890
 glibc (2.7-2) unstable; urgency=low
   [ Aurelien Jarno ]
   * sysdeps/alpha.mk: define alphaev67_MIN_KERNEL_SUPPORTED to 2.6.9.
     Closes: #452890.
   * alpha/submitted-fdatasync.diff: new patch to fix fdatasync() on alpha.
     Closes: #452081.
   * debian/script.in/nohwcap.sh: add libc6-alphaev67 to the list of optimized
   * any/cvs-tzfile.diff: new patch from CVS to fix reading version 0 timezone
     data files.  Closes: #451892.
   * debhelper.in/locales.config, debhelper.in/locales.postinst,
     rules.d/debhelper.mk: rework the maintainer scripts of locales to handle
     locales addition or removal.
   * debhelper.in/locales.config: convert no_NO into nb_NO while upgrading.
     Closes: #452788.
   * debhelper.in/locales-all.NEWS, debhlper/locales-all.NEWS: add a note
     about no_NO locale.
 a08c5eaba9f719d7398ca5494ea4a03b 2072 libs required glibc_2.7-2.dsc
 40a0ddac6971471b9c47659d9f170a7a 671514 libs required glibc_2.7-2.diff.gz
 6701f8ed49bda8e5316409a138d5a24d 1623116 doc optional glibc-doc_2.7-2_all.deb
 1a95efb832f22f1c4e129f496943eb9b 4484318 libs standard locales_2.7-2_all.deb
 2aa119ca30ba7a161fa9828acd74dc73 4985820 libs required libc6_2.7-2_amd64.deb
 e70529395cdcabff6c6612ee6c739869 2528858 libdevel optional libc6-dev_2.7-2_amd64.deb
 84d6a0c8d8da113b07544bf3208e053c 1960720 libdevel extra libc6-prof_2.7-2_amd64.deb
 bed85ff098a75d9fb1beac1eed9e4c1d 1480640 libdevel optional libc6-pic_2.7-2_amd64.deb
 7328e963c3d16f90704a87b9f6688c6b 2735274 libs extra locales-all_2.7-2_amd64.deb
 2ffab0beb7125530d7f8051aa5c1025f 3725558 libs optional libc6-i386_2.7-2_amd64.deb
 9299ece19a077d247d13034586529d33 1429634 libdevel optional libc6-dev-i386_2.7-2_amd64.deb
 0c4ce9e69b773a072b1094775ae60961 169660 admin optional nscd_2.7-2_amd64.deb
 3028971645cd7f93a57815820538e5de 5316686 libdevel extra libc6-dbg_2.7-2_amd64.deb
 d24a6d5a978d9ed7bec055335b2d6016 1129182 debian-installer extra libc6-udeb_2.7-2_amd64.udeb
 47bba39f6f794626fe20dc63b0fffe11 9748 debian-installer extra libnss-dns-udeb_2.7-2_amd64.udeb
 1529d3b03df548ff645fd99e6a39d12a 18010 debian-installer extra libnss-files-udeb_2.7-2_amd64.udeb
Package-Type: udeb

Version: GnuPG v1.4.6 (GNU/Linux)


--- End Message ---

Reply to: